Bug 1013897 - logconv.pl uses /var/tmp for BDB temp files
logconv.pl uses /var/tmp for BDB temp files
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Rich Megginson
Sankar Ramalingam
:
Depends On: 1013163
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-30 22:20 EDT by Nathan Kinder
Modified: 2014-06-17 23:00 EDT (History)
4 users (show)

See Also:
Fixed In Version: 389-ds-base-1.3.1.6-5.el7
Doc Type: Bug Fix
Doc Text:
Cause: Using the -D argument to logconv.pl is supposed to use the given directory to create the temporary files. logconv.pl was writing a large amount of data in files in /var/tmp instead of the argument given to -D. Consequence: Could fill /var/tmp. Fix: The Berkeley DB tied perl arrays were causing this behavior. The fix is to get rid of arrays as much as possible, and get rid of all tied arrays. Result: /var/tmp is not in danger of filling up, the directory specified with -D is used, performance is much faster, disk usage is much less.
Story Points: ---
Clone Of: 1013163
Environment:
Last Closed: 2014-06-13 07:07:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nathan Kinder 2013-09-30 22:20:43 EDT
+++ This bug was initially created as a clone of Bug #1013163 +++

This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/47501

Not sure why, but using logconv.pl -V with DB_File creates temporary DB files in /var/tmp called BDBxxxxx.  These can grow to be very, very large.  They need to go in the -D $dataLocation directory.
Comment 2 srkrishn@redhat.com 2014-02-05 07:00:28 EST
hi,
i verified the logconv.pl -D option and the script creates the temp files in the directory following -D option and not in the /var/tmp directory.
the access log file is a customer log file.

the command was as follows
logconv.pl -D /RHEL7/data/DS/6.0/logfile/en/stat /RHEL7/data/DS/6.0/logfile/en/access.20120131-000045

this was tested on the latest build.
Comment 3 Sankar Ramalingam 2014-02-13 06:51:28 EST
Test cases automated in ./logfile/logconv.sh
Comment 4 Sankar Ramalingam 2014-02-14 10:54:22 EST
Marking the bug as Verified as per comment #2
Comment 5 Ludek Smid 2014-06-13 07:07:09 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.